# VideoDriver Class Reference

Inheritance diagram for VideoDriver:

## Public Member Functions
virtual void | MakeDirty (int left, int top, int width, int height)=0
virtual void | MainLoop ()=0
virtual bool | ChangeResolution (int w, int h)=0
virtual bool | ToggleFullscreen (bool fullscreen)=0

## Detailed Description

Definition at line 18 of file video_driver.hpp.

The documentation for this class was generated from the following file:

- src/video/video_driver.hpp